mmioFOURCC MACRO ch0,ch1,ch2,ch3
	db ch0,ch1,ch2,ch3
ENDM

ICVERSION			equ 0104h

ICTYPE_VIDEO			equ 'cdiv'	
ICTYPE_AUDIO			equ 'audc'	

ICERR_OK 			equ 0
ICERR_DONTDRAW 			equ 1
ICERR_NEWPALETTE 		equ 2
ICERR_GOTOKEYFRAME		equ 3
ICERR_STOPDRAWING 		equ 4
ICERR_UNSUPPORTED 		equ -1
ICERR_BADFORMAT 		equ -2
ICERR_MEMORY 			equ -3
ICERR_INTERNAL 			equ -4
ICERR_BADFLAGS 			equ -5
ICERR_BADPARAM 			equ -6
ICERR_BADSIZE 			equ -7
ICERR_BADHANDLE 		equ -8
ICERR_CANTUPDATE 		equ -9
ICERR_ABORT	 		equ -10
ICERR_ERROR 			equ -100
ICERR_BADBITDEPTH 		equ -200
ICERR_BADIMAGESIZE 		equ -201
ICERR_CUSTOM 			equ -400

ICM_USER			equ DRV_USER
ICM_RESERVED 			equ ICM_RESERVED_LOW
ICM_RESERVED_LOW 		equ (DRV_USER+01000h)
ICM_RESERVED_HIGH 		equ (DRV_USER+02000h)
ICM_GETSTATE 			equ (ICM_RESERVED+00h) 
ICM_SETSTATE 			equ (ICM_RESERVED+01h) 
ICM_GETINFO 			equ (ICM_RESERVED+02h) 
ICM_CONFIGURE 			equ (ICM_RESERVED+0Ah) 
ICM_ABOUT 			equ (ICM_RESERVED+0Bh) 
ICM_GETDEFAULTQUALITY 		equ (ICM_RESERVED+1Eh) 
ICM_GETQUALITY 			equ (ICM_RESERVED+1Fh) 
ICM_SETQUALITY 			equ (ICM_RESERVED+20h) 
ICM_COMPRESS_GET_FORMAT 	equ (ICM_USER+04h) 
ICM_COMPRESS_GET_SIZE 		equ (ICM_USER+05h) 
ICM_COMPRESS_QUERY 		equ (ICM_USER+06h) 
ICM_COMPRESS_BEGIN 		equ (ICM_USER+07h) 
ICM_COMPRESS 			equ (ICM_USER+08h) 
ICM_COMPRESS_END	 	equ (ICM_USER+09h) 
ICM_DECOMPRESS_GET_FORMAT	equ (ICM_USER+0Ah) 
ICM_DECOMPRESS_QUERY 		equ (ICM_USER+0Bh) 
ICM_DECOMPRESS_BEGIN 		equ (ICM_USER+0Ch) 
ICM_DECOMPRESS 			equ (ICM_USER+0Dh) 
ICM_DECOMPRESS_END 		equ (ICM_USER+0Eh) 
ICM_DECOMPRESS_SET_PALETTE 	equ (ICM_USER+1Dh) 
ICM_DECOMPRESS_GET_PALETTE 	equ (ICM_USER+1Eh) 
ICM_DECOMPRESSEX_QUERY 		equ (ICM_USER+3Dh) 

SIZEOF_ICINFO			equ 568


; ..\LIB\VFW32.LIB PROTOTYPES
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~

AVIBuildFilterA PROTO :DWORD,:DWORD,:DWORD
AVIBuildFilter equ <AVIBuildFilterA>

AVIClearClipboard PROTO
AVIFileAddRef PROTO :DWORD
AVIFileCreateStreamA PROTO :DWORD,:DWORD,:DWORD
AVIFileCreateStream equ <AVIFileCreateStreamA>

AVIFileEndRecord PROTO :DWORD
AVIFileExit PROTO
AVIFileGetStream PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIFileInfoA PROTO :DWORD,:DWORD,:DWORD
AVIFileInfo equ <AVIFileInfoA>

AVIFileInit PROTO
AVIFileOpenA PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIFileOpen equ <AVIFileOpenA>

AVIFileReadData PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIFileRelease PROTO :DWORD
AVIFileWriteData PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIGetFromClipboard PROTO :DWORD
AVIMakeCompressedStream PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIMakeFileFromStreams PROTO :DWORD,:DWORD,:DWORD
AVIMakeStreamFromClipboard PROTO :DWORD,:DWORD,:DWORD
AVIPutFileOnClipboard PROTO :DWORD
AVISaveOptions PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
AVISaveOptionsFree PROTO :DWORD,:DWORD
AVISaveVA PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
AVISaveV equ <AVISaveVA>

AVIStreamAddRef PROTO :DWORD
AVIStreamBeginStreaming PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIStreamCreate PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIStreamEndStreaming PROTO :DWORD
AVIStreamFindSample PROTO :DWORD,:DWORD,:DWORD
AVIStreamGetFrame PROTO :DWORD,:DWORD
AVIStreamGetFrameClose PROTO :DWORD
AVIStreamGetFrameOpen PROTO :DWORD,:DWORD
AVIStreamInfoA PROTO :DWORD,:DWORD,:DWORD
AVIStreamInfo equ <AVIStreamInfoA>

AVIStreamLength PROTO :DWORD
AVIStreamOpenFromFileA PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
AVIStreamOpenFromFile equ <AVIStreamOpenFromFileA>

AVIStreamRead PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
AVIStreamReadData PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIStreamReadFormat PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIStreamRelease PROTO :DWORD
AVIStreamSampleToTime PROTO :DWORD,:DWORD
AVIStreamSetFormat PROTO :DWORD,:DWORD,:DWORD,:DWORD
AVIStreamStart PROTO :DWORD
AVIStreamTimeToSample PROTO :DWORD,:DWORD
AVIStreamWrite PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
AVIStreamWriteData PROTO :DWORD,:DWORD,:DWORD,:DWORD
AppCleanup PROTO :DWORD
CreateEditableStream PROTO :DWORD,:DWORD
DrawDibBegin PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
DrawDibChangePalette PROTO :DWORD,:DWORD,:DWORD,:DWORD
DrawDibClose PROTO :DWORD
DrawDibDraw PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
DrawDibEnd PROTO :DWORD
DrawDibGetBuffer PROTO :DWORD,:DWORD,:DWORD,:DWORD
DrawDibGetPalette PROTO :DWORD
DrawDibOpen PROTO
DrawDibProfileDisplay PROTO :DWORD
DrawDibRealize PROTO :DWORD,:DWORD,:DWORD
DrawDibSetPalette PROTO :DWORD,:DWORD
DrawDibStart PROTO :DWORD,:DWORD
DrawDibStop PROTO :DWORD
DrawDibTime PROTO :DWORD,:DWORD
EditStreamClone PROTO :DWORD,:DWORD
EditStreamCopy PROTO :DWORD,:DWORD,:DWORD,:DWORD
EditStreamCut PROTO :DWORD,:DWORD,:DWORD,:DWORD
EditStreamPaste PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
EditStreamSetInfoA PROTO :DWORD,:DWORD,:DWORD
EditStreamSetInfo equ <EditStreamSetInfoA>

EditStreamSetNameA PROTO :DWORD,:DWORD
EditStreamSetName equ <EditStreamSetNameA>

GetOpenFileNamePreviewA PROTO :DWORD
GetOpenFileNamePreview equ <GetOpenFileNamePreviewA>

GetSaveFileNamePreviewA PROTO :DWORD
GetSaveFileNamePreview equ <GetSaveFileNamePreviewA>

ICClose PROTO :DWORD
ICCompressorChoose PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICCompressorFree PROTO :DWORD
ICGetDisplayFormat PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICGetInfo PROTO :DWORD,:DWORD,:DWORD
ICImageCompress PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICImageDecompress PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICInfo PROTO :DWORD,:DWORD,:DWORD
ICInstall PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICLocate PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICMThunk32 PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICOpen PROTO :DWORD,:DWORD,:DWORD
ICOpenFunction PROTO :DWORD,:DWORD,:DWORD,:DWORD
ICRemove PROTO :DWORD,:DWORD,:DWORD
ICSendMessage PROTO :DWORD,:DWORD,:DWORD,:DWORD
ICSeqCompressFrame PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICSeqCompressFrameEnd PROTO :DWORD
ICSeqCompressFrameStart PROTO :DWORD,:DWORD
StretchDIB PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
VideoForWindowsVersion PROTO
capCreateCaptureWindowA PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
capCreateCaptureWindow equ <capCreateCaptureWindowA>

capGetDriverDescriptionA PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
capGetDriverDescription equ <capGetDriverDescriptionA>

videoThunk32 PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD

