-- Test program for AVIRAW
-- /Mic, 2002


include aviraw.e


atom frame
sequence format

puts(1,"Loading demo.avi...")

if not AVI_Load("demo.avi") then
	puts(1,AVI_GetLastErrorMessage())
	puts(1,"\nMake sure the file exists (by running writeavi.ex first)\nPress any key..")
	while get_key()=-1 do end while
	abort(0)
end if


format = AVI_GetInputFrameFormat()
frame = allocate(format[AVI_FRAMEFORMAT_WIDTH]*format[AVI_FRAMEFORMAT_HEIGHT]*floor(format[AVI_FRAMEFORMAT_BITCOUNT]/8))
if frame<=0 then
	puts(1,"Out of memory!")
	abort(0)
end if

puts(1,"OK\n")
if AVI_IsInputCompressed() then
	puts(1,"Detected compressor: " & AVI_GetDecompressorName() & "\n")
end if


puts(1,"Trying to seek to frame 10...")
if not AVI_Seek(10) then
	puts(1,AVI_GetLastErrorMessage() & "\n")
	AVI_Unload()
	abort(0)
end if

puts(1,"OK\nDecompressing frame...")

if not AVI_GetNextFrame(frame) then
	puts(1,AVI_GetLastErrorMessage())
	AVI_Unload()
	abort(0)
end if

puts(1,"OK\nUnloading AVI\nPress any key to quit..")

AVI_Unload()
free(frame)

while get_key()=-1 do end while

